> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Advertisements

> Retrieve list of ad requests.

Available actions:
- `list` - list of ad requests (requires page, limit).




## OpenAPI

````yaml en/openapi/en-economy-v2-openapi.yaml GET /moscowroleplay/civops/ads
openapi: 3.1.0
info:
  title: ER:LC Russia API V2 - Moscow RolePlay Economy API V2
  version: 2.0.0
servers:
  - url: https://api.erlcrussia.xyz/v2
    description: ER:LC Russia API V2
security: []
tags:
  - name: Moscow RolePlay Economy API V2
    description: Endpoints for managing economy and CivOps system.
paths:
  /moscowroleplay/civops/ads:
    get:
      tags:
        - Moscow RolePlay Economy API V2
      summary: Get Advertisements
      description: |
        Retrieve list of ad requests.

        Available actions:
        - `list` - list of ad requests (requires page, limit).
      parameters:
        - name: action
          in: query
          description: Action type for retrieving data.
          required: true
          schema:
            type: string
            enum:
              - list
        - name: limit
          in: query
          description: Record limit (default 10).
          required: false
          schema:
            type: integer
            default: 10
        - name: page
          in: query
          description: Page number (default 1).
          required: false
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Successful response with ad request list.
          content:
            application/json:
              schema:
                type: object
              examples:
                list:
                  summary: Ad request list.
                  value:
                    count: 8
                    ads:
                      - id: 38
                        user_id: '1133665013794607114'
                        username: IvanPetrov
                        business_name: Moscow Motors
                        address: ул. Ленина, 1
                        created_at: 1776893453
                      - id: 37
                        user_id: '1133665013794607114'
                        username: IvanPetrov
                        business_name: Moscow Motors
                        address: ул. Ленина, 1
                        created_at: 1776893361
                      - id: 36
                        user_id: '1133665013794607114'
                        username: pancakeboyman_8
                        business_name: Безопасные Качественные Дороги
                        address: 3101 Orchard Boulevard
                        created_at: 1761929707
                      - id: 35
                        user_id: '1133665013794607114'
                        username: pancakeboyman_8
                        business_name: Безопасные Качественные Дороги
                        address: 3101 Orchard Boulevard
                        created_at: 1761929658
                      - id: 34
                        user_id: '1133665013794607114'
                        username: pancakeboyman_8
                        business_name: Безопасные Качественные Дороги
                        address: 3101 Orchard Boulevard
                        created_at: 1761929405
                      - id: 33
                        user_id: '1133665013794607114'
                        username: pancakeboyman_8
                        business_name: Безопасные Качественные Дороги
                        address: 3101 Orchard Boulevard
                        created_at: 1761929284
                      - id: 32
                        user_id: '1133665013794607114'
                        username: pancakeboyman_8
                        business_name: Безопасные Качественные Дороги
                        address: 3101 Orchard Boulevard
                        created_at: 1761929190
                      - id: 31
                        user_id: '1133665013794607114'
                        username: pancakeboyman_8
                        business_name: Безопасные Качественные Дороги
                        address: 3101 Orchard Boulevard
                        created_at: 1761927415
        '401':
          $ref: '#/components/responses/UnauthorizedMissingOrInvalidToken'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - MRPAPIKey: []
components:
  responses:
    UnauthorizedMissingOrInvalidToken:
      description: Authentication error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedError'
          examples:
            Missing Token:
              summary: No token.
              value:
                code: 5007
                message: Missing Token
            Invalid Token:
              summary: Invalid or deactivated token.
              value:
                code: 5008
                message: Invalid Token
            Invalid Master Key:
              summary: Invalid master key.
              value:
                code: 5006
                message: Invalid Master Key
    Forbidden:
      description: Access forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenError'
          examples:
            Forbidden:
              summary: No access rights to endpoint.
              value:
                code: 5009
                message: Forbidden
            Api Version Forbidden:
              summary: Access to this API version is forbidden.
              value:
                code: 5010
                message: Api Version Forbidden
            Query Param Forbidden:
              summary: Query parameter is forbidden.
              value:
                code: 5011
                message: Query Param Forbidden
    TooManyRequests:
      description: Request limit exceeded.
      headers:
        X-RateLimit-Limit:
          description: Maximum requests per minute.
          schema:
            type: integer
            example: 60
        X-RateLimit-Remaining:
          description: Remaining number of requests.
          schema:
            type: integer
            example: 0
        Retry-After:
          description: Seconds until limit reset.
          schema:
            type: integer
            example: 30
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RateLimitError'
          examples:
            Rate Limit Exceeded:
              summary: Request limit exceeded.
              value:
                code: 6021
                message: Rate Limit Exceeded
                retry_after: 30
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EconomyApiError'
          examples:
            Internal Server Error Occurred:
              summary: Economy API error.
              value:
                code: 6005
                message: Internal Server Error Occurred.
  schemas:
    UnauthorizedError:
      type: object
      description: Authentication error (missing or invalid token).
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5007
        message:
          type: string
          example: Missing Token
    ForbiddenError:
      type: object
      description: Access error (forbidden).
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5009
        message:
          type: string
          example: Forbidden
    RateLimitError:
      type: object
      description: Request limit exceeded error.
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 6021
        message:
          type: string
          example: Rate Limit Exceeded
        retry_after:
          type: integer
          description: Time until limit reset in seconds.
          example: 30
    EconomyApiError:
      type: object
      description: Economy API error.
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 6010
        message:
          type: string
          example: Business not found
  securitySchemes:
    MRPAPIKey:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |
        API key for accessing CivOps endpoints.

        Passed in the `Authorization: Bearer <key>` header.

        REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).

````